package cn.meowrain.aioj.backend.aiservice.service;

import cn.meowrain.aioj.backend.aiservice.dto.req.*;

/**
 * AI 服务接口
 */
public interface AIService {

    /**
     * 分析代码
     */
    Object analyzeCode(AnalyzeCodeReqDTO request);

    /**
     * 优化代码
     */
    Object optimizeCode(OptimizeCodeReqDTO request);

    /**
     * 生成测试用例
     */
    Object generateTestCases(GenerateTestCasesReqDTO request);

    /**
     * 解释代码
     */
    Object explainCode(ExplainCodeReqDTO request);
}
